com.mockobjects.dynamic

## Class DefaultCallFactory

- java.lang.Object
- - com.mockobjects.dynamic.DefaultCallFactory

- All Implemented Interfaces:
    CallFactory

      public class DefaultCallFactory
      extends java.lang.Object
      implements CallFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCallFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Callable` | `createCallExpectation(Callable call)`
    `Callable` | `createCallSignature(java.lang.String methodName, ConstraintMatcher constraints, Callable call)`
    `Callable` | `createReturnStub(java.lang.Object result)`
    `Callable` | `createThrowStub(java.lang.Throwable exception)`
    `Callable` | `createVoidStub()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCallFactory

          public DefaultCallFactory()

  - ### Method Detail

    - #### createReturnStub

          public Callable createReturnStub(java.lang.Object result)

      Specified by:
        `createReturnStub` in interface `CallFactory`

    - #### createThrowStub

          public Callable createThrowStub(java.lang.Throwable exception)

      Specified by:
        `createThrowStub` in interface `CallFactory`

    - #### createCallExpectation

          public Callable createCallExpectation(Callable call)

      Specified by:
        `createCallExpectation` in interface `CallFactory`

    - #### createCallSignature

          public Callable createCallSignature(java.lang.String methodName,
                                              ConstraintMatcher constraints,
                                              Callable call)

      Specified by:
        `createCallSignature` in interface `CallFactory`

    - #### createVoidStub

          public Callable createVoidStub()

      Specified by:
        `createVoidStub` in interface `CallFactory`

Copyright © 2002 Mock Objects. All Rights Reserved.